org.keycloak.services.clientregistration.policy.impl

## Class ProtocolMappersClientRegistrationPolicyFactory

- java.lang.Object
- - org.keycloak.services.clientregistration.policy.AbstractClientRegistrationPolicyFactory
  - - org.keycloak.services.clientregistration.policy.impl.ProtocolMappersClientRegistrationPolicyFactory

- All Implemented Interfaces:
    ComponentFactory<ClientRegistrationPolicy,ClientRegistrationPolicy>, ConfiguredProvider, ProviderFactory<ClientRegistrationPolicy>, ClientRegistrationPolicyFactory

      public class ProtocolMappersClientRegistrationPolicyFactory
      extends AbstractClientRegistrationPolicyFactory

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALLOWED_PROTOCOL_MAPPER_TYPES`
    `static String` | `PROVIDER_ID`

    - ### Fields inherited from class org.keycloak.services.clientregistration.policy.AbstractClientRegistrationPolicyFactory

      `sessionFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolMappersClientRegistrationPolicyFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientRegistrationPolicy` | `create(KeycloakSession session, ComponentModel model)`
    `List<ProviderConfigProperty>` | `getConfigProperties()`
    `String` | `getHelpText()`
    `String` | `getId()`
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class org.keycloak.services.clientregistration.policy.AbstractClientRegistrationPolicyFactory

      `close, getConfigProperties, init, validateConfiguration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.component.ComponentFactory

      `create, getCommonProviderConfigProperties, getTypeMetadata, onCreate, onUpdate, preRemove`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

    - #### ALLOWED_PROTOCOL_MAPPER_TYPES

          public static final String ALLOWED_PROTOCOL_MAPPER_TYPES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProtocolMappersClientRegistrationPolicyFactory

          public ProtocolMappersClientRegistrationPolicyFactory()

  - ### Method Detail

    - #### create

          public ClientRegistrationPolicy create(KeycloakSession session,
                                                 ComponentModel model)

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<ClientRegistrationPolicy>`
      Overrides:
        `postInit` in class `AbstractClientRegistrationPolicyFactory`

    - #### getHelpText

          public String getHelpText()

    - #### getConfigProperties

          public List<ProviderConfigProperty> getConfigProperties()

    - #### getId

          public String getId()

Copyright © 2021 JBoss by Red Hat. All rights reserved.